Package org.apache.sysds.runtime.compress.utils

## Class DblArrayIntListHashMap

- java.lang.Object
- - org.apache.sysds.runtime.compress.utils.DblArrayIntListHashMap

-     public class DblArrayIntListHashMap
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `DblArrayIntListHashMap.DArrayIListEntry` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `hashMissCount` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DblArrayIntListHashMap()` |
    `DblArrayIntListHashMap​(int init_capacity)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `appendValue​(DblArray key, int value)` |
    `List<DblArrayIntListHashMap.DArrayIListEntry>` | `extractValues()` |
    `IntArrayList` | `get​(DblArray key)` |
    `void` | `reset()` |
    `void` | `reset​(int size)` |
    `int` | `size()` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### hashMissCount

          public static int hashMissCount

  - ### Constructor Detail

    - #### DblArrayIntListHashMap

          public DblArrayIntListHashMap()

    - #### DblArrayIntListHashMap

          public DblArrayIntListHashMap​(int init_capacity)

  - ### Method Detail

    - #### size

          public int size()

    - #### get

          public IntArrayList get​(DblArray key)

    - #### appendValue

          public void appendValue​(DblArray key,
                                  int value)

    - #### extractValues

          public List<DblArrayIntListHashMap.DArrayIListEntry> extractValues()

    - #### reset

          public void reset()

    - #### reset

          public void reset​(int size)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`